Bug 695783 - Clarify IPv6 usage in ssh, scp, sftp man pages
Clarify IPv6 usage in ssh, scp, sftp man pages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: man-pages-overrides (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Schiffer
BaseOS QE Security Team
: Documentation, ManPageChange, Triaged
: 695782 (view as bug list)
Depends On: 695781
Blocks: 743405 854059
  Show dependency treegraph
 
Reported: 2011-04-12 12:56 EDT by J.H.M. Dassen (Ray)
Modified: 2013-07-03 00:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Internet Protocol version 6 (IPv6) usage was not described in ssh(1), scp(1), sftp(1) and sshd(8) manual pages. Consequence: Ambiguity about IPv6 usage in concerned programs. Fix: Describe IPv6 usage in mentioned manual pages. Result: No more ambiguity about IPv6 usage in concerned programs.
Story Points: ---
Clone Of: 695781
: 854059 (view as bug list)
Environment:
Last Closed: 2013-01-08 02:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.H.M. Dassen (Ray) 2011-04-12 12:56:55 EDT
+++ This bug was initially created as a clone of Bug #695781 +++

> What is the nature and description of the request?
Man page clarification. In the ssh utilities, IPv6 addresses need to be
enclosed in square brackets "[]". The man page specifies this in descriptions
of port forwarding options, but there is no other indication of this
requirement.

> Why does the customer need this? (List the business requirements here)
Clarification of this requirement in the man pages makes usage either.
Initially the customer thought IPv6 was not working at all since this detail
was not specified.

> How would the customer like to achieve this? (List the functional
> requirements here)
A simple "IPv6 note" in all the ssh man pages. A note could also be added for
the "-6" switch description, however that option is only to force IPv6, so the
square bracket necessity can apply to other cases as well.

> For each functional requirement listed in question 4, specify how Red Hat and
> the customer can test to confirm the requirement is successfully implemented.
N/A

> Is there already an existing RFE upstream or in Red Hat bugzilla?
Not that I can find.

> How quickly does this need resolved? (desired target release)
No hard deadline but this is very minor documentation.

> List the affected packages
openssh
Comment 2 J.H.M. Dassen (Ray) 2011-04-12 13:00:53 EDT
*** Bug 695782 has been marked as a duplicate of this bug. ***
Comment 3 RHEL Product and Program Management 2012-01-09 09:23:39 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.8 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 10 RHEL Product and Program Management 2012-09-03 15:49:17 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 16 errata-xmlrpc 2013-01-08 02:36:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0073.html

Note You need to log in before you can comment on or make changes to this bug.